Page MenuHomePhabricator

Lock screen gadget issues.
Closed, ResolvedPublic

Description

NIce addition but has problems. (using wayland so no idea if those apply to X also)

a) if you add a clock and right click on it -after you add it in the configuration screen- any click on the setup menu (ie date display button) results in going back to the desktop.
b) put two gadgets on the screen. go back to desktop and again on the config screen. try to remove one > it removes both
c) no way to tell after you have clicked on a gadget to remove it if it was selected.
d) sometimes clicking on the x to close the notification restarts e (couldnt get a backtrace on that -it doesn't create one).
e) Add a start gadget (which makes no sense being there in the first place ) move back to the desktop and lock the screen. >Click on it and :

(gdb) bt
#0  0xac2dcf52 in _button_cb_mouse_down (data=0xa5e78d0, e=0x40000ea7, obj=0x400373f4, event_info=0xa642bd8) at src/modules/start/start.c:162
#1  0xb70a62d3 in _eo_evas_object_cb (data=0xa65b9e0, event=0xbfeac6ec) at lib/evas/canvas/evas_callbacks.c:192
#2  0xb6262631 in _event_callback_call (obj_id=0x400373f4, pd=0xa75ae98, desc=0xb72e25fc <_EFL_EVENT_POINTER_DOWN>, event_info=0x40023f83, legacy_compare=1 '\001') at lib/eo/eo_base_class.c:1302
#3  0xb6262753 in _efl_object_event_callback_legacy_call (obj_id=0x400373f4, pd=0xa75ae98, desc=0xb72e25fc <_EFL_EVENT_POINTER_DOWN>, event_info=0x40023f83) at lib/eo/eo_base_class.c:1346
#4  0xb6265d1f in efl_event_callback_legacy_call (obj=0x400373f4, desc=0xb72e25fc <_EFL_EVENT_POINTER_DOWN>, event_info=0x40023f83) at lib/eo/efl_object.eo.c:146
#5  0xb70a69d6 in evas_object_event_callback_call (eo_obj=0x400373f4, obj=0xa75aeb8, type=EVAS_CALLBACK_MOUSE_DOWN, event_info=0x40023f83, event_id=89437, efl_event_desc=0xb72e25fc <_EFL_EVENT_POINTER_DOWN>)
    at lib/evas/canvas/evas_callbacks.c:345
#6  0xb70a6afa in evas_object_event_callback_call (eo_obj=0x40037435, obj=0xa7e6378, type=EVAS_CALLBACK_MOUSE_DOWN, event_info=0x40023f83, event_id=89437, efl_event_desc=0xb72e25fc <_EFL_EVENT_POINTER_DOWN>)
    at lib/evas/canvas/evas_callbacks.c:373
#7  0xb70a6afa in evas_object_event_callback_call (eo_obj=0x400375bb, obj=0xa63cca0, type=EVAS_CALLBACK_MOUSE_DOWN, event_info=0x40023f83, event_id=89437, efl_event_desc=0xb72e25fc <_EFL_EVENT_POINTER_DOWN>)
    at lib/evas/canvas/evas_callbacks.c:373
#8  0xb70aec2b in _canvas_event_feed_mouse_down_internal (e=0xa0293a8, ev=0xa075a58) at lib/evas/canvas/evas_events.c:1280
#9  0xb70b5579 in _evas_canvas_event_pointer_cb (data=0xa0293a8, event=0xbfeac95c) at lib/evas/canvas/evas_events.c:3386
#10 0xb6262576 in _event_callback_call (obj_id=0x40000ea7, pd=0xa029388, desc=0xb72e25fc <_EFL_EVENT_POINTER_DOWN>, event_info=0x40023f83, legacy_compare=1 '\001') at lib/eo/eo_base_class.c:1279
#11 0xb6262753 in _efl_object_event_callback_legacy_call (obj_id=0x40000ea7, pd=0xa029388, desc=0xb72e25fc <_EFL_EVENT_POINTER_DOWN>, event_info=0x40023f83) at lib/eo/eo_base_class.c:1346
#12 0xb6265d1f in efl_event_callback_legacy_call (obj=0x40000ea7, desc=0xb72e25fc <_EFL_EVENT_POINTER_DOWN>, event_info=0x40023f83) at lib/eo/efl_object.eo.c:146
#13 0xb70600df in _direct_mouse_updown (ee=0xa04fdc0, info=0xa71a428, action=EFL_POINTER_ACTION_DOWN) at lib/ecore_evas/ecore_evas.c:4396
#14 0xb706013d in _direct_mouse_down_cb (ee=0xa04fdc0, info=0xa71a428) at lib/ecore_evas/ecore_evas.c:4406
#15 0xb7060b3e in _ecore_evas_input_direct_cb (window=0xa04fdc0, type=18, info=0xa71a428) at lib/ecore_evas/ecore_evas.c:4696
#16 0xb76db7b3 in _ecore_event_evas_mouse_button (e=0xa71a428, press=ECORE_DOWN, faked=0 '\000') at lib/ecore_input_evas/ecore_input_evas.c:524
#17 0xb76dbdd3 in ecore_event_evas_mouse_button_down (data=0x0, type=18, event=0xa71a428) at lib/ecore_input_evas/ecore_input_evas.c:637
#18 0xb6cce0c0 in _ecore_call_handler_cb (func=0xb76dbdb4 <ecore_event_evas_mouse_button_down>, data=0x0, type=18, event=0xa71a428) at lib/ecore/ecore_private.h:317
#19 0xb6ccef95 in _ecore_event_call () at lib/ecore/ecore_events.c:518
#20 0xb6cd7613 in _ecore_main_loop_iterate_internal (once_only=0) at lib/ecore/ecore_main.c:2351
#21 0xb6cd57b0 in ecore_main_loop_begin () at lib/ecore/ecore_main.c:1287
#22 0x0807a2d6 in main (argc=1, argv=0xbfee5d64) at src/bin/e_main.c:1093
(gdb)

Also the whole UI is a bit unintuitive. I'd prefer it if there was a message sayint to the user to DND on the screen and also some buttons to hit (like apply or cancel) when he finishes instead of clicking on the screen or hitting Esc.

ApB created this task.Sep 21 2016, 2:55 PM
zmike added a comment.EditedSep 21 2016, 3:26 PM

This is good feedback.

a) if you add a clock and right click on it -after you add it in the configuration screen- any click on the setup menu (ie date display button) results in going back to the desktop.

I'd guess this is the same for any config popup?

b) put two gadgets on the screen. go back to desktop and again on the config screen. try to remove one > it removes both

This happens with any gadget?

c) no way to tell after you have clicked on a gadget to remove it if it was selected.

Not sure what this means.

d) sometimes clicking on the x to close the notification restarts e (couldnt get a backtrace on that -it doesn't create one).

This probably needs to be a different widget, it was a placeholder at the time.

e) Add a start gadget (which makes no sense being there in the first place ) move back to the desktop and lock the screen

There's no policy for restricting gadgets from appearing in certain places at this point, once there is then this will go away.

Also the whole UI is a bit unintuitive. I'd prefer it if there was a message sayint to the user to DND on the screen and also some buttons to hit (like apply or cancel) when he finishes instead of clicking on the screen or hitting Esc.

Apply/cancel are gone for good in anything new which doesn't absolutely require setting all the options atomically (eg. network configuration). It's only unintuitive (for moving/resizing) because it hasn't yet become a "core" desktop concept that you use the same bindings to move/resize all objects.

ApB added a comment.Sep 21 2016, 11:43 PM

a) Yes happens with any popup. Ie. click wireless and you get this slider to select ethernet > click >back on the desktop

b) Yes any gadget. i even tested with three and it removed all three.

c) Have a visual indication that you clicked on a gadget to ie remove. Ie you have a clock. If you click on it nothing tells you that you clicked on it to ie remove it.

d) nothing to add here

e) good to know that only gadgets that make sence will stay as an option

i am not a fan of removing the apply/cancel approach. Most people tent to do stuff with the mouse than combinations of keyboard mouse.

And one more bug:
Go to the configure screen > Put a clock (wireless and start seem to work ok) on the screen and click on the background. First click does nothing Second gets you back on the desktop.

Also when all is done we can have some "default" view of the Lock screen. A clock, a hibernate/shutdown (when someone writes one), a keyboard layout (when you write it) and a switch user (when someone writes that) are nice to have on the lock screen.

bu5hm4n moved this task from Backlog to Gadgets on the enlightenment-git board.Jul 4 2017, 7:56 AM
zmike added a comment.Jul 11 2017, 3:10 PM

Okay, I've done considerable work related to the issues here in this week's wip branch.

ApB added a comment.Jul 17 2017, 9:29 AM

What i see:

Selecting and placing a new gadget is a hit or miss. (ie kbd change)

Also noticed that if you for example change keyboards while on the lock screen you cant type on the password field.

The b) from the first comment (delete one all disappear) still happens.

if you are on the config screen and hit r click to config the clock the lists on the configuration don't work. ie if you open a list (date display) and click on it it opens the weekend start list.

we also need an option to choose the size. in many cases they look huge.

zmike added a comment.Jul 17 2017, 9:32 AM

Size is controlled by <mod>+drag just like resizing a window. You can also wheel up/down during placement to perform scaling.

ApB added a comment.Jul 17 2017, 9:45 AM

You should make a hint on this. The end user cant just guess.

zmike added a comment.Jul 17 2017, 9:47 AM

It's on the wizard now. You set the modifier for manipulating all objects, and the method is the same for all objects.

ApB added a comment.Jul 17 2017, 9:57 AM

one more thing i noticed is that the clock gadget on the luncher and the gadet on the lock seem to share the same config. i changed something on the luncher and the change happened on the lock one too. WTF?

and a crash. happened while placing a gadget (sysinfo)

 #0  0xb69c1b8f in __strlen_ia32 () at /usr/lib/libc.so.6
#1  0xb6977b2b in __add_to_environ () at /usr/lib/libc.so.6
#2  0xb6977d71 in setenv () at /usr/lib/libc.so.6
#3  0xa743a5a8 in time_string_format (inst=0x810b24d0, buf=0xbf8e249c "", bufsz=128) at src/modules/time/time.c:142
#4  0xa7437199 in _clock_timer (d=0x0) at src/modules/time/clock.c:200
#5  0xb706e4f4 in _eo_evas_object_cb (data=0x8145faa0, event=0xbf8e25dc) at lib/evas/canvas/evas_callbacks.c:189
#6  0xb60acbbe in _event_callback_call (legacy_compare=1 '\001', event_info=0x0, desc=0xb72ae900 <_EVAS_OBJECT_EVENT_DEL>, pd=0x81ccad10, obj_id=0x800282a5) at lib/eo/eo_base_class.c:1496
#7  0xb60acbbe in _efl_object_event_callback_legacy_call (obj_id=0x800282a5, pd=0x81ccad10, desc=0xb72ae900 <_EVAS_OBJECT_EVENT_DEL>, event_info=0x0) at lib/eo/eo_base_class.c:1569
#8  0xb60a8d50 in efl_event_callback_legacy_call (obj=0x800282a5, desc=0xb72ae900 <_EVAS_OBJECT_EVENT_DEL>, event_info=0x0) at lib/eo/eo_base_class.c:1572
#9  0xb60a8d50 in efl_event_callback_legacy_call (obj=0x800282a5, desc=0xb72ae900 <_EVAS_OBJECT_EVENT_DEL>, event_info=0x0) at lib/eo/eo_base_class.c:1572
#10 0xb706ec92 in evas_object_event_callback_call (eo_obj=0x800282a5, obj=0x81ccad38, type=EVAS_CALLBACK_DEL, event_info=0x0, event_id=696183, efl_event_desc=0xb72ae900 <_EVAS_OBJECT_EVENT_DEL>)
    at lib/evas/canvas/evas_callbacks.c:404
#11 0xb70a589e in _efl_canvas_object_efl_object_destructor (eo_obj=0x800282a5, obj=0x81ccad38) at lib/evas/canvas/evas_object_main.c:1057
#12 0xb60a9d64 in efl_destructor (obj=0x800282a5) at lib/eo/efl_object.eo.c:58
#13 0xb70b545e in _efl_canvas_group_efl_object_destructor (eo_obj=0x800282a5, o=0x81ccade0) at lib/evas/canvas/evas_object_smart.c:655
#14 0xb60a9d64 in efl_destructor (obj=0x800282a5) at lib/eo/efl_object.eo.c:58
#15 0xb60a9d64 in efl_destructor (obj=0x800282a5) at lib/eo/efl_object.eo.c:58
#16 0xb752a617 in _elm_widget_efl_object_destructor (obj=0x800282a5, sd=0x81ccae40) at lib/elementary/elm_widget.c:6188
#17 0xb60a9d64 in efl_destructor (obj=0x800282a5) at lib/eo/efl_object.eo.c:58
#18 0xb60a2d90 in _efl_del_internal (file=0xb60af767 "lib/eo/eo.c", line=641, func_name=<synthetic pointer>, obj=0x81ccace8) at lib/eo/eo_private.h:260
#19 0xb60a2d90 in _efl_unref_internal (file=0xb60af767 "lib/eo/eo.c", line=641, func_name=<synthetic pointer>, obj=0x81ccace8) at lib/eo/eo_private.h:335
#20 0xb60a2d90 in _efl_object_call_end (call=0xbf8e2a3c) at lib/eo/eo.c:641
#21 0xb60a91ed in efl_del (obj=0x800282a5) at lib/eo/efl_object.eo.c:18
#22 0xb70a4e34 in evas_object_del (eo_obj=<optimized out>) at lib/evas/canvas/evas_object_main.c:897
#23 0x801b661b in _site_del (data=0x80d08d30, e=0x80002c5c, obj=0x8000e91e, event_info=0x0) at src/bin/e_gadget.c:1321
#24 0xb706e4f4 in _eo_evas_object_cb (data=0x81d3a7d0, event=0xbf8e2b3c) at lib/evas/canvas/evas_callbacks.c:189
#25 0xb60acbbe in _event_callback_call (legacy_compare=1 '\001', event_info=0x0, desc=0xb72ae900 <_EVAS_OBJECT_EVENT_DEL>, pd=0x81caed78, obj_id=0x8000e91e) at lib/eo/eo_base_class.c:1496
#26 0xb60acbbe in _efl_object_event_callback_legacy_call (obj_id=0x8000e91e, pd=0x81caed78, desc=0xb72ae900 <_EVAS_OBJECT_EVENT_DEL>, event_info=0x0) at lib/eo/eo_base_class.c:1569
#27 0xb60a8d50 in efl_event_callback_legacy_call (obj=0x8000e91e, desc=0xb72ae900 <_EVAS_OBJECT_EVENT_DEL>, event_info=0x0) at lib/eo/eo_base_class.c:1572
#28 0xb60a8d50 in efl_event_callback_legacy_call (obj=0x8000e91e, desc=0xb72ae900 <_EVAS_OBJECT_EVENT_DEL>, event_info=0x0) at lib/eo/eo_base_class.c:1572
#29 0xb706ec92 in evas_object_event_callback_call (eo_obj=0x8000e91e, obj=0x81caeda0, type=EVAS_CALLBACK_DEL, event_info=0x0, event_id=696168, efl_event_desc=0xb72ae900 <_EVAS_OBJECT_EVENT_DEL>)
    at lib/evas/canvas/evas_callbacks.c:404
#30 0xb70a589e in _efl_canvas_object_efl_object_destructor (eo_obj=0x8000e91e, obj=0x81caeda0) at lib/evas/canvas/evas_object_main.c:1057
#31 0xb60a9d64 in efl_destructor (obj=0x8000e91e) at lib/eo/efl_object.eo.c:58
#32 0xb70b545e in _efl_canvas_group_efl_object_destructor (eo_obj=0x8000e91e, o=0x81caee48) at lib/evas/canvas/evas_object_smart.c:655
#33 0xb60a9d64 in efl_destructor (obj=0x8000e91e) at lib/eo/efl_object.eo.c:58
#34 0xb60a9d64 in efl_destructor (obj=0x8000e91e) at lib/eo/efl_object.eo.c:58
#35 0xb752a617 in _elm_widget_efl_object_destructor (obj=0x8000e91e, sd=0x81caeea8) at lib/elementary/elm_widget.c:6188
#36 0xb60a9d64 in efl_destructor (obj=0x8000e91e) at lib/eo/efl_object.eo.c:58
#37 0xb60a2d90 in _efl_del_internal (file=0xb60af767 "lib/eo/eo.c", line=641, func_name=<synthetic pointer>, obj=0x81caed50) at lib/eo/eo_private.h:260
#38 0xb60a2d90 in _efl_unref_internal (file=0xb60af767 "lib/eo/eo.c", line=641, func_name=<synthetic pointer>, obj=0x81caed50) at lib/eo/eo_private.h:335
#39 0xb60a2d90 in _efl_object_call_end (call=0xbf8e2f9c) at lib/eo/eo.c:641
#40 0xb60a91ed in efl_del (obj=0x8000e91e) at lib/eo/efl_object.eo.c:18
#41 0xb706e4f4 in _eo_evas_object_cb (data=0x82274978, event=0xbf8e307c) at lib/evas/canvas/evas_callbacks.c:189
#42 0xb60acbbe in _event_callback_call (legacy_compare=1 '\001', event_info=0x0, desc=0xb72ae900 <_EVAS_OBJECT_EVENT_DEL>, pd=0x81d23128, obj_id=0x80007887) at lib/eo/eo_base_class.c:1496
#43 0xb60acbbe in _efl_object_event_callback_legacy_call (obj_id=0x80007887, pd=0x81d23128, desc=0xb72ae900 <_EVAS_OBJECT_EVENT_DEL>, event_info=0x0) at lib/eo/eo_base_class.c:1569
#44 0xb60a8d50 in efl_event_callback_legacy_call (obj=0x80007887, desc=0xb72ae900 <_EVAS_OBJECT_EVENT_DEL>, event_info=0x0) at lib/eo/eo_base_class.c:1572
#45 0xb60a8d50 in efl_event_callback_legacy_call (obj=0x80007887, desc=0xb72ae900 <_EVAS_OBJECT_EVENT_DEL>, event_info=0x0) at lib/eo/eo_base_class.c:1572
#46 0xb706ec92 in evas_object_event_callback_call (eo_obj=0x80007887, obj=0x81d23150, type=EVAS_CALLBACK_DEL, event_info=0x0, event_id=696164, efl_event_desc=0xb72ae900 <_EVAS_OBJECT_EVENT_DEL>)
    at lib/evas/canvas/evas_callbacks.c:404
#47 0xb70a589e in _efl_canvas_object_efl_object_destructor (eo_obj=0x80007887, obj=0x81d23150) at lib/evas/canvas/evas_object_main.c:1057
#48 0xb60a9d64 in efl_destructor (obj=0x80007887) at lib/eo/efl_object.eo.c:58
#49 0xb70b545e in _efl_canvas_group_efl_object_destructor (eo_obj=0x80007887, o=0x81d231f8) at lib/evas/canvas/evas_object_smart.c:655
#50 0xb60a9d64 in efl_destructor (obj=0x80007887) at lib/eo/efl_object.eo.c:58
#51 0xb6f7af31 in _edje_object_efl_object_destructor (obj=0x80007887, class_data=0x81d23260) at lib/edje/edje_smart.c:59
#52 0xb60a9d64 in efl_destructor (obj=0x80007887) at lib/eo/efl_object.eo.c:58
#53 0xb60a2d90 in _efl_del_internal (file=0xb60af767 "lib/eo/eo.c", line=641, func_name=<synthetic pointer>, obj=0x81d23100) at lib/eo/eo_private.h:260
#54 0xb60a2d90 in _efl_unref_internal (file=0xb60af767 "lib/eo/eo.c", line=641, func_name=<synthetic pointer>, obj=0x81d23100) at lib/eo/eo_private.h:335
#55 0xb60a2d90 in _efl_object_call_end (call=0xbf8e346c) at lib/eo/eo.c:641
#56 0xb60a91ed in efl_del (obj=0x80007887) at lib/eo/efl_object.eo.c:18
#57 0xb6f6bb1c in edje_match_callback_exec_check_finals (prop=<optimized out>, ed=0x81d23260, source=0xb6bf34ca <_eina_stringshare_single+202> "e", sig=0x81a73468 "e,action,hide,done", source_states=<optimized out>, signal_states=<optimized out>, matches=0x80ebd068, ssp=0x80e25e98) at lib/edje/edje_match.c:556
#58 0xb6f6bb1c in edje_match_callback_exec (ssp=0x80e25e98, matches=0x80ebd068, sig=0x81a73468 "e,action,hide,done", source=0xb6bf34ca <_eina_stringshare_single+202> "e", ed=0x81d23260, prop=0 '\000')
    at lib/edje/edje_match.c:711
#59 0xb6f72f1a in _edje_emit_cb (prop=0 '\000', data=0x0, src=0xb6bf34ca <_eina_stringshare_single+202> "e", sig=0x81a73468 "e,action,hide,done", ed=0x81d23260) at lib/edje/edje_program.c:1647
#60 0xb6f72f1a in _edje_emit_handle (ed=0x81d23260, sig=0x81a73468 "e,action,hide,done", src=0xb6bf34ca <_eina_stringshare_single+202> "e", sdata=0x0, prop=0 '\000') at lib/edje/edje_program.c:1599
#61 0xb6f6d025 in _edje_message_process (em=0xa8afbdc0) at lib/edje/edje_message_queue.c:795
#62 0xb6f6d508 in _edje_message_queue_process () at lib/edje/edje_message_queue.c:898
#63 0xb6f6d6ec in _edje_message_queue_process () at lib/edje/edje_message_queue.c:864
#64 0xb6f6d6ec in _edje_job (data=0x0) at lib/edje/edje_message_queue.c:265
#65 0xb6c2dfbd in _ecore_job_event_handler (data=0x0, type=15, ev=0x821b10f8) at lib/ecore/ecore_job.c:98
#66 0xb6c29776 in _ecore_call_handler_cb (event=<optimized out>, type=<optimized out>, data=<optimized out>, func=<optimized out>) at lib/ecore/ecore_private.h:325
#67 0xb6c29776 in _ecore_event_call () at lib/ecore/ecore_events.c:518
#68 0xb6c31497 in _ecore_main_loop_iterate_internal (once_only=once_only@entry=0) at lib/ecore/ecore_main.c:2397
#69 0xb6c31837 in ecore_main_loop_begin () at lib/ecore/ecore_main.c:1299
#70 0x8012dd09 in main (argc=<optimized out>, argv=<optimized out>) at src/bin/e_main.c:1088
ApB added a comment.Jul 17 2017, 10:15 AM

Another thing to add is that the gadgets on the popup that allows you to dnd them on the lock screen are not scaled.

zmike added a comment.Jul 25 2017, 8:08 AM
In T4648#92007, @ApB wrote:

Another thing to add is that the gadgets on the popup that allows you to dnd them on the lock screen are not scaled.

Meaning...?

ApB added a comment.Jul 25 2017, 8:13 AM
In T4648#92869, @zmike wrote:
In T4648#92007, @ApB wrote:

Another thing to add is that the gadgets on the popup that allows you to dnd them on the lock screen are not scaled.

Meaning...?

meaning they look huge and ugly. > https://www.enlightenment.org/ss/display.php?image=e-5977601b6abcd6.75295257.png

zmike added a comment.Jul 25 2017, 8:27 AM

Ah, yes. I just put in a placeholder size for all desktop-based sites until I figured out what a good way to do accurate sizing would be.

Okay, the sizing is fixed now.

ApB added a comment.Aug 31 2017, 1:04 AM

Still removing one gadget removes all.

You can't place a kbd switch gadget on the lock screen.

Still impossible to edit the clock because you can't click on the Date display list. If you click on it it opens the Weekend start list.

Was testing removing gadgets and had it crash like:

[Thread debugging using libthread_db enabled]
Using host libthread_db library "/usr/lib/libthread_db.so.1".
Core was generated by `/usr/bin/enlightenment'.
Program terminated with signal SIGSEGV, Segmentation fault.
#0  0xb69e2ba6 in __strlen_ia32 () from /usr/lib/libc.so.6
[Current thread is 1 (Thread 0xb567bb00 (LWP 29560))]
(gdb) bt
#0  0xb69e2ba6 in __strlen_ia32 () at /usr/lib/libc.so.6
#1  0xb6998b2b in __add_to_environ () at /usr/lib/libc.so.6
#2  0xb6998d71 in setenv () at /usr/lib/libc.so.6
#3  0x005c6e17 in e_util_env_set (var=0xa8f11438 "TZ", val=0x3 ) at ../src/bin/e_utils.c:36
#4  0xa8f10376 in time_string_format (inst=0x834470, buf=0xbfd4ea2c "", bufsz=128) at ../src/modules/time/time.c:142
#5  0xa8f0d539 in _clock_timer (d=0x0) at ../src/modules/time/clock.c:200
#6  0xb720c0c4 in _eo_evas_object_cb (data=0x1a743e8, event=0xbfd4eb6c) at lib/evas/canvas/evas_callbacks.c:189
#7  0xb62a8b1e in _event_callback_call (legacy_compare=1 '\001', event_info=0x0, desc=0xb744dab4 , pd=0x1486690, obj_id=0x8006ede5) at lib/eo/eo_base_class.c:1502
#8  0xb62a8b1e in _efl_object_event_callback_legacy_call (obj_id=0x8006ede5, pd=0x1486690, desc=0xb744dab4 , event_info=0x0) at lib/eo/eo_base_class.c:1575
#9  0xb62a4aa0 in efl_event_callback_legacy_call (obj=0x8006ede5, desc=0xb744dab4 , event_info=0x0) at lib/eo/eo_base_class.c:1578
#10 0xb62a4aa0 in efl_event_callback_legacy_call (obj=0x8006ede5, desc=0xb744dab4 , event_info=0x0) at lib/eo/eo_base_class.c:1578
#11 0xb720c8dd in evas_object_event_callback_call (eo_obj=0x8006ede5, obj=0x14866b8, type=EVAS_CALLBACK_DEL, event_info=0x0, event_id=415927, efl_event_desc=0xb744dab4 )
    at lib/evas/canvas/evas_callbacks.c:404
#12 0xb724382e in _efl_canvas_object_efl_object_destructor (eo_obj=0x8006ede5, obj=0x14866b8) at lib/evas/canvas/evas_object_main.c:1086
#13 0xb62a5be4 in efl_destructor (obj=0x8006ede5) at lib/eo/efl_object.eo.c:62
#14 0xb725357e in _efl_canvas_group_efl_object_destructor (eo_obj=0x8006ede5, o=0x1486760) at lib/evas/canvas/evas_object_smart.c:642
#15 0xb62a5be4 in efl_destructor (obj=0x8006ede5) at lib/eo/efl_object.eo.c:62
#16 0xb62a5be4 in efl_destructor (obj=0x8006ede5) at lib/eo/efl_object.eo.c:62
#17 0xb6f8b324 in _elm_widget_efl_object_destructor (obj=, sd=) at lib/elementary/elm_widget.c:6140
#18 0xb62a5be4 in efl_destructor (obj=0x8006ede5) at lib/eo/efl_object.eo.c:62
#19 0xb629e770 in _efl_del_internal (file=0xb62ab61a "lib/eo/eo.c", line=654, func_name=, obj=0x1486668) at lib/eo/eo_private.h:260
#20 0xb629e770 in _efl_unref_internal (file=0xb62ab61a "lib/eo/eo.c", line=654, func_name=, obj=0x1486668) at lib/eo/eo_private.h:335
#21 0xb629e770 in _efl_object_call_end (call=0xbfd4efcc) at lib/eo/eo.c:654
#22 0xb62a4f3d in efl_del (obj=0x8006ede5) at lib/eo/efl_object.eo.c:18
#23 0xb7242b04 in evas_object_del (eo_obj=) at lib/evas/canvas/evas_object_main.c:926
#24 0x0056514b in _gadget_free (zgc=zgc@entry=0x1bf4960) at ../src/bin/e_gadget.c:203
#25 0x005651ef in _gadget_remove (zgc=0x1bf4960) at ../src/bin/e_gadget.c:416
#26 0x0056a11c in _gadget_desklock_clear () at ../src/bin/e_gadget.c:2855
#27 0x0056a11c in _gadget_desklock_key_handler (d=0x0, t=16, ev=0x182f2d0) at ../src/bin/e_gadget.c:2874
#28 0xb755bb66 in _ecore_call_handler_cb (event=, type=, data=, func=) at lib/ecore/ecore_private.h:325
#29 0xb755bb66 in _ecore_event_call () at lib/ecore/ecore_events.c:518
#30 0xb7563c97 in _ecore_main_loop_iterate_internal (once_only=once_only@entry=0) at lib/ecore/ecore_main.c:2398
#31 0xb75640c7 in ecore_main_loop_begin () at lib/ecore/ecore_main.c:1299
#32 0x004dc0a3 in main (argc=, argv=) at ../src/bin/e_main.c:1088
(gdb)
ApB added a comment.Aug 31 2017, 1:10 AM

Also. Changing the clock gadget on the bryce (ie adding date) changes the gadget on the lock screen. WTF.

ApB added a comment.Sep 30 2017, 3:29 AM

When you enter the lock screen gadget configuration screen it shows a popup on the top right. if you click on the X to close it gets you back on the desktop. :/ (stable efl and e beta)

abyomi0 triaged this task as Normal priority.Oct 20 2017, 11:48 AM
abyomi0 raised the priority of this task from Normal to Incoming Queue.Oct 20 2017, 11:58 AM
ApB added a comment.Oct 31 2017, 1:25 PM

The kbd layout gadget doesn't change the flag when i switch with the shortcut.

zmike added a comment.Nov 1 2017, 10:06 AM

Works fine for me.

zmike closed this task as Resolved.Nov 1 2017, 10:07 AM

This ticket is meaningless at present because there's so many issues listed and you've failed to keep any sort of list for which issues currently exist.

In the future, never again create this kind of ticket and instead create specific tickets for specific issues.